<!DOCTYPE html>
<html>
<head>
	<title>RETROSPECT</title>
	<meta charset="utf-8">
  	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">

	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>

	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
	<link rel="stylesheet" type="text/css" href="retrospect_style.css">
    <style>
@import url('https://fonts.googleapis.com/css?family=Open+Sans|Roboto');
</style>
</head>
<body>

<!-- Navbar -->
<nav class="navbar navbar-fixed-top">
  <div class="container">
    <div class="navbar-header ">
      <button type="button" class="navbar-toggle " data-toggle="collapse" data-target="#myNavbar">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>                        
      </button>
      <a href="./home.html">
        <img class="logo" src="./logo.jpg" style="display: block">
      </a>
    </div>
    <div class="collapse navbar-collapse" id="myNavbar">
      <ul class="nav navbar-nav navbar-right">
        <li><a href="http://codepreneurs.co/"><i class="fa fa-home fa-2x" aria-hidden="true"></i>Академија за програмирање</a></li>
        <li><a href="https://brainster.co/"><i class="fa fa-users fa-2x" aria-hidden="true"></i>Курсеви</a></li>
      </ul>
    </div>
  </div>
</nav>
<div class="container" id='container-wrap'>
    <div class="row">
            <div class="wraper">
               <h3 class="text-muted text-center"><i class="fa fa-clock-o fa-2x " aria-hidden="true"></i></h3>
                <h3 class="text-muted text-center">Како го менаџираше стресот?</h3>
            
                <div class="slidecontainer" >
                    <img id="myFace" src="./icons/1.png" >
                    <input type="range" min="1" max="100" step="1" value="0" class="slider" id="myRange" data-sizing="%"><br>
                    <p id="demo_text" class="text-center"><span id="demo_value"></span></p>
                </div>
              <div class="btn-wrapper text-center">
                <a href="./quest4.html"> <div class="btn btn-prev text-center">
                      <span class="glyphicon glyphicon-menu-left" aria-hidden="true"></span>BACK</div>
                    </a>
                    <a href="#">
                      <div class="btn btn-next ">NEXT<span class="glyphicon glyphicon-menu-right" aria-hidden="true"></span></div>
                    </a>
              </div>
             </div>
    </div>
</div>
<footer class="bg-gray" >
  <div class="container">
    <div class="row">
      <div class="col-md-3 col-sm-4 col-xs-12">
        <p>©2018 Brainster. All rights reserved.</p>
      </div>
      <div class="col-md-3 col-md-offset-6 col-sm-4 col-sm-offset-4 col-xs-12 social-media">
        <ul class="list-unstyled list-inline text-right">
          <li><a href="#"><i class="fa fa-facebook fa-2x"></i></a></li>
          <li><a href="#"><i class="fa fa-instagram fa-2x"></i></a></li>
          <li><a href="#"><i class="fa fa-linkedin fa-2x"></i></a></li>
          
        </ul>
      </div>
    </div>
  </div>
</footer>
 <script src="main.js"></script>

 <script type="text/javascript">
var colorsArray=["#be1e2d","#e1ad41", "#9db84d","#00a14b","#e5618d"];
var imagesArray=["./icons/1.png","./icons/2.png", "./icons/3.png","./icons/4.png","./icons/5.png"];
var textArray=["Неделава беше ужасна..", "Можеше и подобро.", "Уште една обична работна недела","Забавно беше", "WOW, одлична недела."]
var myImage=document.getElementById("myFace");
var imageIndex=0;
var slider = document.getElementById("myRange");
var output = document.getElementById("demo_value");
var output_message = document.getElementById("demo_text");
  
slider.oninput = function() {
  if (this.value != 0)
    {
      $('.btn-next').attr("disabled", false);
      $('.btn-next').parent().attr("href", './signup.html');
    }
   output.innerHTML = this.value;
   var suffix = this.dataset.sizing || "";
   imageIndex = getLevel(this.value);
   myImage.setAttribute("src",imagesArray[imageIndex]);
   myImage.style.setProperty(`--position`,this.value+suffix)
     
   slider.style.setProperty(`--base`,colorsArray[imageIndex]);
   output.style.color = colorsArray[imageIndex];
   output_message.innerText=textArray[imageIndex];
   output_message.style.color = colorsArray[imageIndex];

  
  var stress_value = this.value; 
  localStorage.setItem('stress_val', stress_value);
 
}
function getLevel(val){
    if (val>=0 && val<10){
    return 0;   
    }
    else if(val>=10 && val<40){
      return 1;
    }else if(val>=40 && val<=60){;
      return 2;
    }else if(val>60 && val<=90){
      return 3;
    }else if (val>90 && val<=100){
      return 4;
    }
  }
var inputs=document.querySelectorAll(".controls input");

function handleUpdate(){
    var suffix = this.dataset.sizing || "";
    document.documentElement.style.setProperty(`--position`,this.value+suffix)
}
inputs.forEach(input =>input.addEventListener("mousemove",handleUpdate));
 </script>
</body>
<html>